Bug 466034 - SIGSEGV from memcpy using ZipFile.getNextEntry on Linux
SIGSEGV from memcpy using ZipFile.getNextEntry on Linux
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
10
All Linux
high Severity high
: ---
: ---
Assigned To: Lillian Angel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-07 15:46 EDT by Shelly McGowan
Modified: 2009-12-18 01:31 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:31:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SIGSEGV Dump (57.23 KB, text/x-log)
2008-10-07 15:46 EDT, Shelly McGowan
no flags Details
test case (1.20 KB, text/plain)
2009-03-27 10:45 EDT, Omair Majid
no flags Details

  None (edit)
Description Shelly McGowan 2008-10-07 15:46:43 EDT
Created attachment 319690 [details]
SIGSEGV Dump

Description of problem:

The SIGSEGV occurs after overwriting/modifying a jar file with new content and then try to read the entries after modification.

Version-Release number of selected component (if applicable):
OpenJDK Server VM (1.6.0-b09) for linux-x86 JRE (1.6.0-b09)
Sun Java HotSpot(TM) Server VM (10.0-b19) for linux-x86 JRE (1.6.0_05-b13)

Problem not seen with BEA jrockit-jdk1.6.0_05

How reproducible:
Have one test case that can reproduce as noted in:
https://jira.jboss.org/jira/browse/JBAS-5953

Steps to Reproduce:

The above JIRA references a test case that can consistently reproduce the problem.  I'll write a test program to simulate the test code and attach once I can reproduce it consistently.  The second JBoss post listed has steps to reproduce.  

Actual results:


Expected results:


Additional info:
See:
http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6366468
https://bugs.launchpad.net/ubuntu/+source/openjdk-6/+bug/227217
http://www.jboss.com/index.html?module=bb&op=viewtopic&p=4179535#4179535
http://www.jboss.com/index.html?module=bb&op=viewtopic&t=138343
Comment 1 Lillian Angel 2008-11-06 14:32:07 EST
Is there a testcase for this?
Comment 2 Shelly McGowan 2008-11-06 15:45:05 EST
Lillian, I attempted to create a standalone test case to show the problem and even though I wrote one, it did not provoke the VM crash as seen with the AS testsuite consistently.  The JBOSS forum posts referenced above have explicit steps but using VFS still.
Comment 3 Bug Zapper 2008-11-25 22:38:40 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Omair Majid 2009-03-27 10:45:42 EDT
Created attachment 337018 [details]
test case

Attaching a test case that works for me. It may requires a few runs for it to demonstrate the issue. It requires two jar files to work: original.jar.orig and fake.jar (the program copies original.jar.orig to original.jar and then overwrites it with fake.jar) If original.jar.orig is much bigger than fake.jar, than the program crashes. If fake.jar is much bigger than original.jar.orig, it will produce corrupted output. If the program crashes, it's in libzip.so. It looks like libzip caches information about the file and doesnt expect the file to change.

Using:
java-1.6.0-openjdk-1.6.0.0-11.b14.fc10.i386
Comment 5 Bug Zapper 2009-11-18 02:46:38 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 01:31:34 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.